using JSMR.Application.Enums;
using JSMR.Application.Scanning.Ports;
using Microsoft.Extensions.DependencyInjection;

namespace JSMR.Infrastructure.Scanning;

public class VoiceWorkScannerRepository(IServiceProvider serviceProvider) : IVoiceWorkScannerRepository
{
    public IVoiceWorksScanner? GetScanner(Locale locale)
    {
        return serviceProvider.GetKeyedService<IVoiceWorksScanner>(locale);
    }
}